license_plate_api_hungary
====================

Dart csomag a magyar rendszammal megjelolt jarmuvek muszaki adatainak felkutatasara

A `license_plate_api_hungary` egyszeru modot kinal a jarmu adatainak a rendszambol (rendszam) torteno megkeresesere.
egy Magyarorszagon nyilvantartasba vett auto

Ehhez felhasznaloi nevre es jelszora van szukseg, amely ingyenesen elerheto a http://www.xn--rendszm-mwa.com/ webhelyrol.

## English

A Dart package for looking up technical details on vehicles registered in hungary by their license plate

`license_plate_api_hungary` provides a simple way to find vehicle details from a license plate (registration number)
of a car registered in hungary

This requires a username and password, which is available for free from http://www.xn--rendszm-mwa.com/

  
## Usage

A simple usage example:

```dart
import 'package:license_plate_api_hungary/license_plate_api_hungary.dart' as RegCheck;

void main(List<String> arguments) async {
  // Usage:
  // dart bin/main.dart *REGISTRATION* *USERNAME* *PASSWORD*
  // *USERNAME* and *PASSWORD* are available from http://www.xn--rendszm-mwa.com/
  var vehicle = await RegCheck.LicensePlate(arguments[0],arguments[1],arguments[2]);
  print('Description: ${vehicle['Description']}');
 
}
```

which produces the following:

```shell script
Description: OPEL MOKKA SE

```

## Features and bugs

Please file feature requests and bugs via the website http://www.xn--rendszm-mwa.com/
